<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
define('SKEY', 'fpt');
echo '
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="shortcut icon" href="../favicon.ico"/>
<style>
body{
max-width: 550px;
margin: auto;
}
</style>
<title>Установка FPORTAL</title>
</head>
<body>';
echo'<center><font face="Impact" size="+4" color="#CECECE">FPORTAL</font></center>';
####################################################################
echo'<hr/>';
###############################
switch($_GET['instl']){
#################
default;
echo'Лицезионное соглашение.<br/>
<textarea cols="65" rows="5">
Вы пытаетесь установить FPORTAL для публикации материалов с Вашего сайта.
Запрещено продавать скрипт не имея соглашения с автором скрипта.
Вам запрещено снимать копирайт со страниц скритп и самого двжика
Запрещено выдавать скрипт за свой
Все нарушения это нарушения авторских прав а так же УК РФ
Вы можете редактировать код страниц (автор не несет ответственности за ущерб)
Вы можете создавать шаблоны к fportal 
Вы можете создавать модули к fportal
Так же Вы можете создавать дополнения к fportal
</textarea><br/>';
echo'<span style="float: left;"><a href=""><<< Вернуться</a></span><span style="float: right;"><a href="install.php?instl=step2">Продолжить >>></a></span>';
echo'<br/>';
break;
########
case 'step2':
echo'<table ><tr>';
echo '<td width="45%"><form name="form" action="install.php?instl=step3" method="post">
Сервер MySQL:<br /><input name="dbhost" value="localhost" /><br />
Имя базы данных:<br /><input name="dbname" /><br />
Имя пользователя:<br /><input name="dbuser" /><br />
Пароль:<br /><input name="dbpass" /><br />';
echo'Создание администратора<br/>';
echo 'Логин(max12):<br /><input name="username" type="text" maxlength="12" /><br />
Пароль(max20):<br /><input name="password" type="text" maxlength="20" /><br />
E-mail(max50):<br /><input name="email" type="text" maxlength="50" /><br />
<input type="hidden" name="prefix" value="fpt_"/>
<input type="submit" value="Установка"/>
</form></td>';
echo'<td valign="top" width="55%">
На данной странице Вам необходимо ввести данные к базе данных 
MySQL(i), если базы данных у Вас еще нет, то не нажимайте кнопку установить, создайте 
у себя на хостинге базу данных и только после этого Вы можете продолжить установку
<hr/>
Если Вы не знаете как и что делать на данной странице, мы рекомендуем Вам 
обратиться к профессионалом или к знающим людям (не давайте  данные от хостинга 
посторонним людям).
<hr/>
В поле создании администратора, введите Ваши данные логин, пароль  и электронную почту
</td>';
echo'</tr></table>';
break;
#######
case 'step3':
// Ниже указанный код инсталятора взят с движка CoolCMS v4.6
// http://coolcms.org
###########################################################################################################################################
function split_sql($sql) {
	$sql = trim($sql);
	$sql = preg_replace("|\n#[^\n]*\n|", "\n", $sql);
	$buffer = array();
	$ret = array();
	$in_string = false;
	for ($i = 0; $i < strlen($sql) - 1; $i++) {
		if ($sql[$i] == ";" && !$in_string) {
			$ret[] = substr($sql, 0, $i);
			$sql = substr($sql, $i + 1);
			$i = 0;
		} 
		if ($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
			$in_string = false;
		} elseif (!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset ($buffer[0]) || $buffer[0] != "\\")) {
			$in_string = $sql[$i];
		} 
		if (isset ($buffer[1])) {
			$buffer[0] = $buffer[1];
		} 
		$buffer[1] = $sql[$i];
	} 
	if (!empty ($sql)) {
		$ret[] = $sql;
	} 
	return ($ret);
}
###########################################################################################################################################
		if ($_POST['dbhost'] and $_POST['dbname'] and $_POST['dbuser'] and $_POST['username'] and $_POST['password'] and $_POST['email']) {
			$dbhost = htmlspecialchars(trim($_POST['dbhost']));
			$dbname = htmlspecialchars(trim($_POST['dbname']));
			$dbuser = htmlspecialchars(trim($_POST['dbuser']));
			$dbpass = htmlspecialchars(trim($_POST['dbpass']));
			
			$username = htmlspecialchars(trim($_POST['username']));
			$email = htmlspecialchars(trim($_POST['email']));
			$password = htmlspecialchars(trim($_POST['password']));
			
			
			$prefix = htmlspecialchars(trim($_POST['prefix']));
			
			$connect = @mysql_connect($dbhost, $dbuser, $dbpass);
			$connect2 = @mysql_select_db($dbname, $connect);
			
			if ($connect == TRUE and $connect2 == TRUE) {
				mysql_query('SET NAMES `utf8`', $connect);
				$query = file_get_contents('fpt.sql');
				$pieces = split_sql($query);
	
				for ($i = 0; $i < count($pieces); $i++) {
					$pieces[$i] = trim($pieces[$i]);
					if (!empty ($pieces[$i]) && $pieces[$i] != "#") {
						mysql_query($pieces[$i]);
					} 
				}
				
				if (!mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."users` WHERE `id` = 1"))) {
				//RENAME TABLE `test7`.`fpt_files` TO `test7`.`1fpt_files` ;
					mysql_query("INSERT INTO `".$prefix."users` SET `login` = '$username', `password` = '".md5(base64_encode($password).''.SKEY)."', `level` = 3, `email` = '$email', `reg` = '".time()."', `last` = '".time()."'");
					
					
					$dbfile = "<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
session_start();
//Серверный путь до сайта
define('ROOT', '$_SERVER[DOCUMENT_ROOT]');

define ('LOCALHOST', '$dbhost');
define ('USERSQL', '$dbname');
define ('BASESQL', '$dbuser');
define ('PASSWORDSQL', '$dbpass');
define ('PREFIX', 'fpt_');
?>";
					file_put_contents('config.php', $dbfile);
					chmod('config.php', 0664);
					
					echo'<center>Информация<br/>';
					echo 'Установка прошла успешно.<br /><b>Удалите папку install</b><br /><br />
					Вы зарегистрированы.<br />
					Логин: '.$username.'<br />
					Пароль: '.$password.'<br />
					Автологин:<br /><input name="auto" type="text" value="http://'.htmlspecialchars($_SERVER['HTTP_HOST']).'/?mod=user&amp;act=login&amp;login='.$username.'&amp;password='.$password.'" /><br />
					<a href="/?mod=user&amp;act=login&amp;login='.$username.'&amp;password='.$password.'">Ввойти по автологину</a></center>';
				} else {
					echo'FPORTAL уже установлена.';
				}
				//nav_main();
			} else {
				echo'Невозможно подключиться к БД, указаны неверные данные.';
			}
		} else {
			echo'Все поля должны быть заполнены.';
		}
break;
#################
}
###############################
echo'<hr/>';
####################################################################
echo'<center>&copy; fportal 2006 - 20'.date("y", time()).'</center>';
echo'</body>
</html>';
?>